MilterManagerReplyDecoder
3
milter managerライブラリ

# MilterManagerReplyDecoder

## Functions

GQuark | milter_manager_reply_decoder_error_quark ()
MilterDecoder * | milter_manager_reply_decoder_new ()

## シグナル

void | error | Run Last
void | failure | Run Last
void | success | Run Last

## Types and Values

#define | MILTER_MANAGER_REPLY_DECODER_ERROR
enum | MilterManagerReplyDecoderError
struct | MilterManagerReplyDecoder
struct | MilterManagerReplyDecoderClass

## オブジェクト階層

        GEnum
        ╰── MilterManagerReplyDecoderError
        GObject
        ╰── MilterDecoder
            ╰── MilterManagerReplyDecoder
                ╰── MilterManagerControlReplyDecoder

## 説明

## Functions

### milter_manager_reply_decoder_error_quark ()

    GQuark
    milter_manager_reply_decoder_error_quark
                                   (void);

### milter_manager_reply_decoder_new ()

    MilterDecoder *
    milter_manager_reply_decoder_new (void);

## Types and Values

### MILTER_MANAGER_REPLY_DECODER_ERROR

    #define MILTER_MANAGER_REPLY_DECODER_ERROR           (milter_manager_reply_decoder_error_quark())

### enum MilterManagerReplyDecoderError

#### Members

MILTER_MANAGER_REPLY_DECODER_ERROR_UNEXPECTED_REPLY |  |

### struct MilterManagerReplyDecoder

    struct MilterManagerReplyDecoder;

### struct MilterManagerReplyDecoderClass

    struct MilterManagerReplyDecoderClass {
        MilterDecoderClass parent_class;

        void (*success)              (MilterManagerReplyDecoder *decoder);
        void (*failure)              (MilterManagerReplyDecoder *decoder,
                                      const gchar *message);
        void (*error)                (MilterManagerReplyDecoder *decoder,
                                      const gchar *message);
    };

## シグナル詳細

### The `“error”` signal

    void
    user_function (MilterManagerReplyDecoder *miltermanagerreplydecoder,
                   gchar                     *arg1,
                   gpointer                   user_data)

Flags: Run Last

### The `“failure”` signal

    void
    user_function (MilterManagerReplyDecoder *miltermanagerreplydecoder,
                   gchar                     *arg1,
                   gpointer                   user_data)

Flags: Run Last

### The `“success”` signal

    void
    user_function (MilterManagerReplyDecoder *miltermanagerreplydecoder,
                   gpointer                   user_data)

Flags: Run Last